import express from 'express';
import { config as configEnv } from "dotenv";
import AnimalController from './controller/animalController';

configEnv();
const port = process.env.BACKEND_PORT ?? 4000;

export const api = express();
api.use(express.json());
api.use(express.urlencoded({ extended: true }));
api.use(express.static('public'));

api.use('/animals', AnimalController)

api.listen(port, () => console.log(`Example app listening on port ${port}`));
