import prisma from '../client';
import type { Animal } from '@prisma/client';
import type { CreateAnimal, UpdateAnimal } from '../models/animalModels';

export const getAll = async (): Promise<Animal[]> => {
    return prisma.animal.findMany();
}

export const getSingle = async (id: string): Promise<Animal | null> => {
    return prisma.animal.findUnique({ where: { id } });
}

export const createSingle = async (data: CreateAnimal): Promise<Animal> => {
    return prisma.animal.create({ data });
}

export const updateSingle = async (id: string, data: UpdateAnimal): Promise<Animal> => {
    return prisma.animal.update({ where: { id }, data });
}

export const deleteSingle = async (id: string): Promise<Animal> => {
    return prisma.animal.delete({ where: { id } });
}
